# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`helm_binary`](#helm_binary): Install Helm binary
* [`helm_binary::repo`](#helm_binary--repo): Class: helm_binary::repo

## Classes

### <a name="helm_binary"></a>`helm_binary`

Install Helm binary

#### Parameters

The following parameters are available in the `helm_binary` class:

* [`version`](#-helm_binary--version)
* [`checksum`](#-helm_binary--checksum)
* [`checksum_type`](#-helm_binary--checksum_type)
* [`base_path`](#-helm_binary--base_path)
* [`packaging`](#-helm_binary--packaging)
* [`package_ensure`](#-helm_binary--package_ensure)
* [`archive_base_url`](#-helm_binary--archive_base_url)

##### <a name="-helm_binary--version"></a>`version`

Data type: `String`

Helm release version

Default value: `'3.7.2'`

##### <a name="-helm_binary--checksum"></a>`checksum`

Data type: `String`

Artifact checksum string

Default value: `'4ae30e48966aba5f807a4e140dad6736ee1a392940101e4d79ffb4ee86200a9e'`

##### <a name="-helm_binary--checksum_type"></a>`checksum_type`

Data type: `String`

The digest algorithm used for the checksum string.

Default value: `'sha256'`

##### <a name="-helm_binary--base_path"></a>`base_path`

Data type: `Stdlib::Absolutepath`

Base path under which to install software.

Default value: `'/opt/helm'`

##### <a name="-helm_binary--packaging"></a>`packaging`

Data type: `Enum['package', 'archive']`

Use download or system packages

Default value: `'archive'`

##### <a name="-helm_binary--package_ensure"></a>`package_ensure`

Data type: `String`

Ensure state of the package, if used

Default value: `'installed'`

##### <a name="-helm_binary--archive_base_url"></a>`archive_base_url`

Data type: `Stdlib::HTTPUrl`

Url where to download from helm

Default value: `'https://get.helm.sh'`

### <a name="helm_binary--repo"></a>`helm_binary::repo`

Class: helm_binary::repo

#### Parameters

The following parameters are available in the `helm_binary::repo` class:

* [`debian_apt_source`](#-helm_binary--repo--debian_apt_source)

##### <a name="-helm_binary--repo--debian_apt_source"></a>`debian_apt_source`

Data type: `Hash`

apt details of the repo, see hiera

Default value: `{}`

